INET(3)

NAME
rose_aton, rose_ntoa, rose_cmp - ROSE Address manipulation routines

SYNOPSIS
#include <netrose/rose.h>

int rose_aton(const char *cp, char *inp);

char * rose_ntoa(rose_address *cp);

int rose_cmp(rose_address *a1, rose_address *a2);

DESCRIPTION
The rose_aton() converts the ROSE address cp from an ASCII representation into network format.

The rose_ntoa() converts the ROSE address cp that is network format to a string that is the ASCII representation of the address.

The rose_cmp() compares the two ROSE address a1 and a2 that are in network format.

RETURN VALUE
The rose_ntoa() and rose_aton() functions return zero if all went OK, -1 if not.

The rose_cmp() returns 0 if addresses pointer by a1 and a2 are identical, 1 otherwise.

SEE ALSO
ax25(4), netrom(4), rose(4)